Arvados - Bug #11222

Docker load time on compute node is too long
03/07/2017 09:30 PM - Bryan Cosca

Status: New Start date: 03/07/2017
Priority: Normal Due date:

Assigned To: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

using a-c-r --local, it took 10 minutes to load a 3GB Docker image

2017-03-07_20:59:33 51¢5-819sb-th04z0sonfpxwma
59269 stderr starting: ['srun','--nodelist=computel','/bin/bash','-o', 'pipefail','-ec',' if /usr
/bin/docker.io images —-q —-no-trunc --all | grep —-xF 9df946ded6be6418fa%9082e906981677b24ea3206bc75
61c517dla7dbdbeebca >/dev/null; then exit 0 fi declare —-a exit_codes=("${PIPESTATUS[@]}") 1if [
0 != "${exit_codes[0]}" ]; then exit "S${exit_codes[0]}" # “docker images' failed elif [ 1 !=
"S{exit_codes[1]}" ]; then exit "S${exit_codes[1l]}" # “grep encountered an error else # Eve
rything worked fine, but grep didn\'t find the image on this host. arv-get 62925a53810ef8a5d57b
54e49f6628c4\\+2058\\/9df946ded6be6418fa9p82e906981677b24ea3206bc7561c517dla7dbdbeebcal\\.tar | /us
r/bin/docker.io load fi ']
2017-03-07_21:09:03 e51c5-8i9sb-th04z0sonfpxwma 59269 load docker image: exit 0

| don't really have an idea for a long term fix, but | think having the compute nodes up for ~ 15 minutes instead of shutting them down
immediately would really help since the docker image would already be loaded on it.

History

#1 - 03/07/2017 09:33 PM - Bryan Cosca

- Project changed from Support to Arvados Private

#2 - 03/07/2017 09:33 PM - Bryan Cosca

- Project changed from Arvados Private to Arvados

#3 - 08/28/2017 09:41 PM - Tom Morris

- Target version set to Arvados Future Sprints

#4 - 07/06/2021 09:24 PM - Peter Amstutz

- Target version deleted (Arvados Future Sprints)
